PMC_INIT(3)

NAME
pmc_init - initialize library

LIBRARY
libpmc

SYNOPSIS
#include <pmc.h>
int
pmc_init(void);

DESCRIPTION
Function pmc_init() initializes the PMC library. This function must be called before any of the other functions in the library.

RETURN VALUES

ERRORS
A call to pmc_init() may fail with the following errors:

[ENOENT]
    The hwpmc(4) module was not found in the kernel.

[EPROGMISMATCH]
    The library's version number did not match that expected by hwpmc(4).

[ENXIO]
    PMC hardware on this system is unsupported.

SEE ALSO
pmc(3), hwpmc(4)